org.eclipse.wst.jsdt.chromium.debug.ui

## Class DialogBasedTabSelector

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.DialogBasedTabSelector

    public class DialogBasedTabSelector
    extends java.lang.Object

A TabSelector which brings up a dialog allowing users to select which target browser tab to debug.

### Field Summary

Fields
`static TabSelector` `INSTANCE`
`static WipTabSelector` `WIP_INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DialogBasedTabSelector()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static TabSelector INSTANCE

#### WIP_INSTANCE

    public static WipTabSelector WIP_INSTANCE

### Constructor Detail

#### DialogBasedTabSelector

    public DialogBasedTabSelector()